visual studio - জামারিন-নির্ভরতা সমাধানের জন্য মনো-অ্যান্ড্রয়েড সংস্করণ কীভাবে আপডেট করবেন?



visual-studio xamarin (1)

আমার লক্ষ্য অ্যান্ড্রয়েড সংস্করণ 8.1 এ পরিবর্তন করার চেষ্টা করেছে tried

আপনার অ্যান্ড্রয়েড অ্যাপ্লিকেশনটি সংকলন করতে ব্যবহৃত Target Framework পরিবর্তন করতে হবে, Target Android version (তবে সম্ভবত আপনি এগুলি দুটি সেট করে রাখবেন, নীচের বোধগম্য অ্যান্ড্রয়েড এপিআই স্তরের লিঙ্কটি পড়ুন।

উইন্ডোজ জন্য ভিজ্যুয়াল স্টুডিও:

ম্যাকের জন্য ভিজ্যুয়াল স্টুডিও:

লক্ষ্য ফ্রেমওয়ার্ক - আপনার অ্যাপ্লিকেশন তৈরিতে কোন কাঠামো ব্যবহার করতে হবে তা নির্দিষ্ট করে। এই এপিআই স্তরটি সংকলন সময়ে জ্যামারিন.এন্ড্রয়েড দ্বারা ব্যবহৃত হয়।

সর্বনিম্ন অ্যান্ড্রয়েড সংস্করণ - আপনি আপনার অ্যাপ্লিকেশনটিকে সমর্থন করতে চান এমন প্রাচীনতম অ্যান্ড্রয়েড সংস্করণ নির্দিষ্ট করে। এই এপিআই স্তরটি অ্যান্ড্রয়েড দ্বারা রান সময়ে ব্যবহৃত হয়।

টার্গেট অ্যান্ড্রয়েড সংস্করণ - আপনার অ্যাপটি চালানোর উদ্দেশ্যে করা অ্যান্ড্রয়েডের সংস্করণ নির্দিষ্ট করে। এই এপিআই স্তরটি অ্যান্ড্রয়েড দ্বারা রান সময়ে ব্যবহৃত হয়।

ম্যানিফেস্ট এন্ট্রি:

উইন্ডোজ জন্য ভিজ্যুয়াল স্টুডিও:

ম্যাকের জন্য ভিজ্যুয়াল স্টুডিও:

এটি রাত্রে বেশ দেরি হয়ে গেছে এবং আমি মাইক্রোসফ্ট এবং জামারিনকে অভিশাপ দেওয়ার সময় আমার ল্যাপটপে পাঞ্চ নিক্ষেপের তাড়না প্রতিরোধ করার চেষ্টা করছি কারণ ভিজ্যুয়াল স্টুডিও আমাকে হতাশ করেছে। সুতরাং আমি একটি ন্যুগেট প্যাকেজ (Xamarin.Firebase.Firestore) ইনস্টল করার চেষ্টা করছি যার Xamarin.GooglePlayServices.Basement (60.1142.0, আমার 42.1021.1) এর একটি নতুন সংস্করণ প্রয়োজন, যার পরিবর্তে আমাকে জ্যামারিন আপডেট করতে হবে। android.support প্যাকেজগুলি। আমি যখন সেগুলি আপডেট করার চেষ্টা করি তখন আমি এই ত্রুটিটি পেয়েছি "প্যাকেজ জ্যামারিন Aঅ্যান্ড্রয়েড Sসপোর্ট D ডিজাইন 27.0.2 মনোঅ্যান্ড্রয়েড 80 এর সাথে সামঞ্জস্যপূর্ণ নয় (মোনোঅ্যান্ড্রয়েড, সংস্করণ = v8.0) Package : monoandroid81 (MonoAndroid, সংস্করণ = v8.1) "

আমি আমার টার্গেট অ্যান্ড্রয়েড সংস্করণ 8.1 এ পরিবর্তন করার চেষ্টা করেছি, আমি আমার এসডিকে পাশাপাশি বিল্ড সরঞ্জামগুলিও আপডেট করেছি। আমি ভিজ্যুয়াল স্টুডিও 15.6.1 চালাচ্ছি। শেষ খাদের প্রচেষ্টা হিসাবে, আমি মনো-অ্যান্ড্রয়েড ভি 8.0 রেফারেন্সটি মুছে ফেলার চেষ্টা করেছি এবং তারপরে ভি 8.1 তে একটি নতুন রেফারেন্স যুক্ত করেছি, কিন্তু যখনই আমি এটি করি, ভিজ্যুয়াল স্টুডিও কেবলমাত্র ভি 8.0 এর দিকে নির্দেশিত পথের সাথে রেফারেন্স যুক্ত করে শেষ করে দেয় , যদিও আমি যুক্ত রেফারেন্সটি পরিষ্কারভাবে ভি 8.1 এর দিকে নির্দেশ করেছিলাম।

এই সমস্যাটি কীভাবে সমাধান করা যায় তা কারওই একটি সূত্র রয়েছে? আমি এখানে আমার বুদ্ধি শেষে এবং মনে হচ্ছে অচলাবস্থায় আটকা পড়েছি :(





dependencies